> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve questionnaire



## OpenAPI

````yaml /openapi/kyb.yaml get /kyb/forms/{companyId}/questionnaires/{id}/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /kyb/forms/{companyId}/questionnaires/{id}/:
    get:
      tags:
        - KYB Questionnaires
      summary: Retrieve questionnaire
      operationId: kybFormsQuestionnairesRetrieve
      parameters:
        - in: path
          name: companyId
          schema:
            type: string
          required: true
        - in: path
          name: id
          schema:
            type: string
          description: A unique value identifying this questionnaire.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Questionnaire'
          description: ''
      security:
        - kybTokenAuth: []
        - apiKeyPair: []
components:
  schemas:
    Questionnaire:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        key:
          type: string
          readOnly: true
          description: Used for token creation to identify this questionnaire.
          pattern: ^[\w_*-]+$
          maxLength: 32
        name:
          type: string
          maxLength: 32
        title:
          type: string
          maxLength: 512
        description:
          type: string
          nullable: true
          default: ''
          maxLength: 512
        type:
          $ref: '#/components/schemas/QuestionnaireTypeEnum'
        sections:
          type: array
          items:
            $ref: '#/components/schemas/Section'
      required:
        - id
        - key
        - name
        - sections
        - title
    QuestionnaireTypeEnum:
      enum:
        - KYC
        - KYB
      type: string
    Section:
      type: object
      properties:
        key:
          type: string
          pattern: ^[\w_*-]+$
          maxLength: 32
        title:
          type: string
          maxLength: 512
        description:
          type: string
          nullable: true
          default: ''
          maxLength: 512
        condition:
          type: string
          nullable: true
        questions:
          type: array
          items:
            $ref: '#/components/schemas/Question'
      required:
        - key
        - questions
        - title
    Question:
      type: object
      properties:
        key:
          type: string
          pattern: ^[\w_*-]+$
          maxLength: 32
        title:
          type: string
          maxLength: 512
        description:
          type: string
          nullable: true
          default: ''
          maxLength: 512
        choices:
          type: array
          items:
            $ref: '#/components/schemas/Choice'
        type:
          $ref: '#/components/schemas/TypeB9cEnum'
        required:
          type: boolean
          default: false
        placeholder:
          type: string
          nullable: true
          maxLength: 100
        condition:
          type: string
          nullable: true
      required:
        - key
        - title
        - type
    Choice:
      type: object
      properties:
        key:
          type: string
          pattern: ^[\w_*-]+$
          maxLength: 32
        title:
          type: string
          maxLength: 512
      required:
        - key
        - title
    TypeB9cEnum:
      enum:
        - CHECKBOX
        - COLOR
        - COUNTRY
        - COUNTRY_MULTI
        - DATE
        - DATETIME
        - EMAIL
        - FILE
        - FILE_MULTI
        - FLOAT
        - LIST
        - INTEGER
        - PASSWORD
        - RADIO
        - SELECT
        - SELECT_MULTI
        - TEL
        - TEXT
        - TEXT_AREA
        - TIME
        - URL
      type: string
  securitySchemes:
    kybTokenAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication for actions with all operations associated with KYB
        form.<br>

        Token obtained from *KYB form token generation* endpoint as
        ``tokenString`` value.<br>
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````